<template>
  <div>
    <b-card no-body>
      <b-card-body>
        <b-card-title>Permisos</b-card-title>
        <b-card-sub-title>Permiso según roles</b-card-sub-title>
      </b-card-body>
      <b-table striped responsive :items="permissionsData" class="mb-0">
        <template #cell(module)="data">
          {{ data.value }}
        </template>
        <template #cell()="data">
          <b-form-checkbox disabled :checked="data.value" />
        </template>
      </b-table>
    </b-card> 
  </div>
  
</template>

<script>
import {
  BCard,
  BTable,
  BCardBody,
  BCardHeader,
  BCardTitle,
  BCardSubTitle,
  BFormCheckbox,
} from "bootstrap-vue";

export default {
  components: {
    BCard,
    BTable,
    BCardBody,
    BCardHeader,
    BCardTitle,
    BCardSubTitle,
    BFormCheckbox,
  },
  setup() {
    const permissionsData = [
      {
        module: "Admin",
        read: true,
        write: false,
        create: false,
        delete: false,
      },
      {
        module: "Staff",
        read: false,
        write: true,
        create: false,
        delete: false,
      },
      {
        module: "Author",
        read: true,
        write: false,
        create: true,
        delete: false,
      },
      {
        module: "Contributor",
        read: false,
        write: false,
        create: false,
        delete: false,
      },
      {
        module: "User",
        read: false,
        write: false,
        create: false,
        delete: true,
      },
    ];

    return {
      permissionsData,
    };
  },
};
</script>

<style>
</style>
